diff --git a/audio/out/ao_pipewire.c b/audio/out/ao_pipewire.c
index 5b048a56e7cd..62d96c712ded 100644
--- a/audio/out/ao_pipewire.c
+++ b/audio/out/ao_pipewire.c
@@ -55,6 +55,11 @@ static inline int pw_stream_get_time_n(struct pw_stream *stream, struct pw_time
 }
 #endif
 
+#if !PW_CHECK_VERSION(0, 3, 57)
+// Earlier versions segfault on zeroed hooks
+#define spa_hook_remove(hook) if ((hook)->link.prev) spa_hook_remove(hook)
+#endif
+
 enum init_state {
     INIT_STATE_NONE,
     INIT_STATE_SUCCESS,
